/*  
    PFlow 2.5: A potential flow demonstrator for fluid dynamics eduation
    Copyright (C) 1998  Craig P. Earls

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
//STARTPRETTY
#ifndef PFSTREAMLIST_H
#define PFSTREAMLIST_H 1
#include <qlist.h>
#include <qobject.h>
#include "pffpoint.hpp"
//Streamline, a list of points

typedef QListT<FPoint> StreamlineBase;
class Streamline:public StreamlineBase
{
public:
    Streamline( float X, float Y);
};


//Streamlist, a list of streamlines
typedef QListT<Streamline> StreamListBase;
class StreamList:public QObject, public StreamListBase{

  Q_OBJECT

public:
  StreamList( QObject *parent=0, const char *name=0);
 
  void Add(float X, float Y);
 
};
#endif

//ENDPRETTY
/*
 * Local variables:
 *  compile-command: "cd ..;make -k"
 * End:
 */
